﻿(function () {

    "use strict";

    angular.module("EnrApp")
           .factory("selectedOfficeService", ["$rootScope", "primaryService", function ($rootScope, primaryService) {

               // Service Interface
               var serviceInterface = {
                   setSelectedOffice: setSelectedOffice,
                   getSelectedOffice: getSelectedOffice,
               }

               // "Private" members
               var selectedOffice = null;

               function setSelectedOffice(_selectedOffice) {
                   selectedOffice = _selectedOffice;

                   $rootScope.$broadcast("SELECTED_OFFICE_CHANGED", primaryService.getSelectedOffice());
               }
               function getSelectedOffice() {
                   return selectedOffice;
               }

               return serviceInterface;
           }]);

}());
